<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: AddCHA Registration CAPTCHA
| Version: 1.00
| File Name: addcha.php
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

$addcha_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='addcha_panel'");

if (dbrows($addcha_check) > 0) {

	if (file_exists(INFUSIONS."addcha_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."addcha_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."addcha_panel/locale/English.php"; 
}
include INFUSIONS."addcha_panel/infusion_db.php";

add_to_title($locale['global_200'].$locale['adch_001']);


if (iMEMBER || !$settings['enable_registration']) { redirect(BASEDIR."index.php"); }

$result = dbquery("SELECT * FROM ".DB_ADDCHA." WHERE addcha_ip='".USER_IP."'");
if (dbrows($result)) {
	redirect (BASEDIR."register.php");
} 


add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/admin-msg.js'></script>");

require_once INFUSIONS."addcha_panel/includes/styles.php";

if(!isset($_SESSION)) { session_name("addcha"); session_start(); }

	
	$error ="<div id='close-message'><div class='addcha-warning'>".$locale['adch_error1']."</div></div>";
	$error2 ="<div id='close-message'><div class='addcha-error'>".$locale['adch_error2']."</div></div>";



opentable($locale['adch_001']);
	if (isset($_POST['addcha_submit']) && isset($_SESSION['addcha'])) {

		$addcha = stripinput(trim($_POST['addcha']));

		if (!preg_match("/^[1-9][0-9]*$/", $addcha)) $addcha = "";

		if(isset($addcha) && ($addcha == stripinput($_SESSION['addcha'])) && strlen($_POST['addcha']) < 4  && $addcha !=="") { 
			if (ini_get("session.use_cookies")) {
				$params = session_get_cookie_params();
				setcookie(session_name(), '', time() - 42000,
				stripinput($params["path"]), stripinput($params["domain"]),
				stripinput($params["secure"]), stripinput($params["httponly"]));
			}

			if (isset($addcha)) {
		header( 'refresh: 2; url='.BASEDIR."register.php");
		}
		if (isset($_POST['addcha'])) {
		
		
		add_to_footer("<script type = 'text/javascript'>
				/*author Philip M. 2010*/
			var timeInSecs;
				   var ticker;
					 function startTimer(secs){
					   timeInSecs = parseInt(secs)-1;
						 ticker = setInterval('tick()',1000);   // every second
					}
				   function tick() {
					 var secs = timeInSecs;
					  if (secs>0) {
						timeInSecs--;
					}else {
				 clearInterval(ticker); // stop counting at zero
			// startTimer(60);  // remove forward slashes in front of startTimer to repeat if required
		   }
		   document.getElementById('countdown').innerHTML = secs;
		  }
		  startTimer(3);  // 60 seconds 
	    </script>");

		echo "<div class='addcha-success'>".$locale['adch_006']."  <span id='countdown' style='font-weight: bold; color: #ff0000;'>3</span>".$locale['adch_007']."</div>\n";

		
		}
			$sucess = dbquery("INSERT INTO ".DB_ADDCHA." (addcha_ip, addcha_time) VALUES ('".USER_IP."', '".time()."')");
			session_destroy();
			
		}else{  if($addcha !=="") { echo $error2; }elseif($addcha =="") { echo $error; } }
	
	}	
	
	if (!isset($_POST['addcha']) || $error && $addcha !== stripinput($_SESSION['addcha'])) {
	
	
	add_to_head("<script type='text/javascript'>
				<!--
			function new_captcha(){
			var c_currentTime = new Date();
			var c_miliseconds = c_currentTime.getTime();
			document.getElementById('captchac').src = '".BASEDIR."infusions/addcha_panel/sum.php?x='+ c_miliseconds;
			}
			-->
			</script>");
			
			
		$adch_form ="";
		$adch_form .= "<div class='addcha-info'>".$locale['adch_003']."</div>\n";
		$adch_form .= "<hr width='90%'>\n</hr>\n";
		$adch_form .= "<fieldset  class='addcha-fieldset' align='center'>\n";
		$adch_form .= "<legend class='addcha-legend'>".$locale['adch_008'];
		$adch_form .= "</legend>\n";
		$adch_form .= "<div class='addcha-question'>\n";
		$adch_form .= "<div style='padding: 5px;'>\n";
		$adch_form .= "<form name='addcha-form' method='post' action='".FUSION_SELF."'>\n";
		$adch_form .= "<div style='float:right; padding-top: 5px; padding-right:20px;'>\n";
		$adch_form .= " = <input name='addcha' style='width: 50px;' maxlength='3' class='textbox' type='text'  value=''/>\n";
		$adch_form .= "<input type='submit' name='addcha_submit' class='button' value='".$locale['adch_004']."'>";
		$adch_form .= "</div>\n";
		$adch_form .= "<label for='adcha_question'>";
		$adch_form .= "<img id='captchac' src ='".BASEDIR."infusions/addcha_panel/sum.php'/>";
		$adch_form .= "<div style='padding-top: 2px; font-size: 10px;'>";
		$adch_form .= "<a title='".$locale['adch_009']."' href='JavaScript: new_captcha();'><img src='".BASEDIR."infusions/addcha_panel/images/reload.png' alt='".$locale['adch_009']."' style='border: 0px;' /></a>";
		$adch_form .= "</div>\n";
		$adch_form .= "</label>\n";
		$adch_form .= "</form>\n";
		$adch_form .= "</div>\n";
		$adch_form .= "</div>\n";
		
		echo $adch_form;	

}
closetable();
}else{

redirect(BASEDIR."index.php");
}
require_once THEMES."templates/footer.php";
?>