<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: AddCHA Registration CAPTCHA
| Version: 1.00
| File Name: styles.php
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
$addcha_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='addcha_panel'");

if (dbrows($addcha_check) > 0) {

add_to_head("<style type='text/css'>

			.addcha-info {
				border: 1px solid;
				margin: 1px 0px 5px 0px;
				padding: 10px 0px 14px 40px;
				background-repeat: no-repeat;
				background-position: 10px center;
				color: #00529B;
				background-color: #BDE5F8;
				background-image: url(".BASEDIR."infusions/addcha_panel/images/info.png);
				border-radius: 5px;
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px;
				text-align: center;
			}

			.addcha-question { 
				padding: 1px;
				color: #6D6D6D;
				font-size: 24px;
				font-weight:bold;
			}

			.addcha-fieldset { 
				border: 1px solid #ccc; 
				text-align:left; 
				width: 350px; 
				padding: 5px 4px;
				border-radius:5px;
				-moz-border-radius:5px; 
				-webkit-border-radius:5px; 
				-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
				-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
			}

			.addcha-textbox { 
				background-color: #FF8C8C;
				border: 1px solid #CCCCCC;
				border-radius : 5px;
				-moz-border-radius : 5px; 
				-webkit-border-radius : 5px;
				color: #555555;
				font-family: Verdana,Tahoma,Arial,Sans-Serif;
				font-size: 12px;
				padding-bottom: 3px;
				padding-top: 3px;

			}

			.addcha-legend {
				color: #6D6D6D;  
				font-size: 12px; 
				font-weight:700; 
				padding: 2px 4px; 
				margin-right: 0.7em;
			}

			.addcha-success {
				border: 1px solid;
				margin: 1px 0px 5px 0px;
				padding: 10px 0px 14px 40px;
				background-repeat: no-repeat;
				background-position: 10px center;
				color: #4F8A10;
				background-color: #DFF2BF;
				background-image:url(".BASEDIR."infusions/addcha_panel/images/success.png);
				border-radius: 5px;
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px;
				text-align: center;
			}

			.addcha-error {
				border: 1px solid;
				margin: 1px 0px 5px 0px;
				padding: 10px 0px 14px 40px;
				background-repeat: no-repeat;
				background-position: 10px center;
				color: #D8000C;
				background-color: #FFBABA;
				background-image: url(".BASEDIR."infusions/addcha_panel/images/error.png);
				border-radius: 5px;
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px;
				text-align: center;
			}
			
			.addcha-warning {
				border: 1px solid;
				margin: 1px 0px 5px 0px;
				padding: 10px 0px 14px 40px;
				background-repeat: no-repeat;
				background-position: 10px center;
				color: #9F6000;
				background-color: #FEEFB3;
				background-image: url(".BASEDIR."infusions/addcha_panel/images/warning.png);
				border-radius: 5px;
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px;
				text-align: center;
			}
 
</style>");
}
?>