<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: AddCHA Registration CAPTCHA
| Version: 1.00
| File Name: sum.php
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

header("Cache-Control: no-cache, must-revalidate"); 
header("Pragma: no-cache"); 
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); 
header("Content-type: image/png");

require_once "../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }


if(!isset($_SESSION)) {session_name("addcha"); session_start();  }

 
$Width=145;
$Height=40;
$img = ImageCreateTrueColor($Width, $Height);
$bg = ImageColorAllocate($img, rand(0,155),rand(0,155), rand(0,155));
imagefill($img, 0, 0, $bg);
$rand_grid=mt_rand(7,11);
$grid = imagecolorallocate($img, 225, 225, 225);

imagesetstyle($img, array($bg, $grid));
imagegrid($img, $Width, $Height, $rand_grid, IMG_COLOR_STYLED);
$rand_angle=mt_rand(-3,5);
$rand_ay=mt_rand(30,31);
$rand_fnt=mt_rand(26,27);
$font = '../../infusions/addcha_panel/includes/fontf/HappySans.ttf';
$white = ImageColorAllocate($img, rand(200,255),rand(170,225),rand(100,255));
$num_a = mt_rand(21, 80);
$num_b = mt_rand(1, 20);
$sums = $num_a + $num_b;
$sum = $num_a . ' + ' . $num_b;
$where = imagettfbbox($rand_fnt, 0, $font, $sum);

if (isset($_SESSION)) { $session = $_SESSION['addcha'] = (stripinput($sums));  $session; }

imagettftext($img, $rand_fnt, $rand_angle, ($Width - $where[4]) / 2, $rand_ay, $white, $font, $sum);
ImagePNG($img);
ImageDestroy($img);

function imagegrid($image, $w, $h, $s, $colour) {
    for($iw=1; $iw<$w/$s; $iw++){imageline($image, $iw*$s, 0, $iw*$s, $w, $colour);}
    for($ih=1; $ih<$h/$s; $ih++){imageline($image, 0, $ih*$s, $w, $ih*$s, $colour);}
}


?>
